%global stackname rospack
%global gitrev 671c3cb
%global rosdistro fuerte

Name:           ros-%{rosdistro}-%{stackname}
Version:        2.0.13
Release:        1.git%{gitrev}%{?dist}
Summary:        ROS package and stack tools

License:        BSD
URL:            http://www.ros.org/wiki/rospack
#wget --content-disposition https://github.com/ros/rospack/tarball/2.0.13
Source0:        ros-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  gtest
BuildRequires:  boost-devel
BuildRequires:  ros-%{rosdistro}-catkin-devel

%description
rospack is a command-line tool for retrieving information about ROS packages 
available on the filesystem. It implements a wide variety of commands 
ranging from locating ROS packages in the filesystem, to listing available 
stacks, to calculating the dependency tree of stacks.

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: ros-%{stackname}-devel = %{version}-%{release}
Summary:  Development files for %{name}

%description devel
Development headers and libraries for %{stackname}

%prep
%setup -q -n ros-%{stackname}-%{gitrev}


%build
mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX=/opt/ros/fuerte  -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

%files
/opt/ros/%{rosdistro}/bin/*
/opt/ros/%{rosdistro}/lib/*.so
/opt/ros/%{rosdistro}/share/%{stackname}/stack.xml
/opt/ros/%{rosdistro}/share/%{stackname}/manifest.xml

%files devel
/opt/ros/%{rosdistro}/include/*
/opt/ros/%{rosdistro}/lib/pkgconfig/*
/opt/ros/%{rosdistro}/share/%{stackname}/cmake

%changelog
* Sun Jan 13 2013 Rich Mattes <richmattes@gmail.com> - 2.0.13-1.git671c3cb
- Initial fuerte release

